library(DSI)
library(DSOpal)
library(dsBaseClient)
library(ggplot2)

# Connection to databases

builder <- DSI::newDSLoginBuilder(.silent = FALSE)
builder$append(server = "Hospital HM",  url = "https://192.168.1.50:9002/",
               user = "opal_admin", password = "80*Q3xZb68Z1",
               resource = "FiHM.20220919_FiHM", driver = "OpalDriver", options="list(ssl_verifyhost=0,ssl_verifypeer=0)")
builder$append(server = "Hospital Sacrocuore",  url = "https://192.168.1.50:8890",
               user = "opal_admin", password = "x5w1zU&0QHyq",
               resource = "S_uncover.20220919_Verona", driver = "OpalDriver", options="list(ssl_verifyhost=0,ssl_verifypeer=0)")

logindata <- builder$build()

# Assing DATA to object D
connections <- DSI::datashield.login(logins = logindata, assign = TRUE, symbol = "D")
DSI::datashield.assign.expr(connections, symbol = 'data', expr = quote(as.resource.data.frame(D)))

# Dimension of data in each server
ds.dim(x="data", datasources= connections)
# Colum names
ds.colnames(x="data", datasources= connections)


# Meon of patient age in both servers
ds.mean(x='data$DMRAGEYR', datasources = connections)

# Histogram to see how many women and men there is in the hospital
ds.histogram(x='data$DMRGENDR', datasources = connections)

# Split the dataset by gender

ds.dataFrameSubset(df.name = "data", V1.name = "data$DMRGENDR", V2.name = "1", Boolean.operator = "==", newobj = "data.subset.Males", datasources= connections)
ds.dataFrameSubset(df.name = "data", V1.name = "data$DMRGENDR", V2.name = "0", Boolean.operator = "==", newobj = "data.subset.Females", datasources= connections)

# MALES
ds.histogram(x='data.subset.Males$DMRAGEYR', type= 'split', datasources = connections)
ds.histogram(x='data.subset.Males$DMRAGEYR', type= 'combine', datasources = connections)

# FEMALES
ds.histogram(x='data.subset.Females$DMRAGEYR', type= 'split', datasources = connections)
ds.histogram(x='data.subset.Females$DMRAGEYR', type= 'combine',datasources = connections)

# Survival analysis

#Logaout
 DSI::datashield.logout(connections)


